Skip to Content
Hive
API Referencev1Circuits

Migrate Circuit

POST
/v1/circuits/migrate

Create a migration request for an existing circuit.

Request Body

application/json
  1. body
contact*
idBuilding*string
timeslot*integer
serviceId*integer
mcrId*integer
slaId*integer
customerId*integer
streetNumber*string
organizationId*integer
userId*integer
dac*string
publicIpv6?boolean
ipv4AdditionalId?integer
ipv6AdditionalId?integer
residentialContext?string
stair?string
floor?string
unit?string
mc*string
carrierName*string
oloCode*string
tempUsername?string
tempPassword?string
technology*string
directoryNumbers?array<string>

Response Body

Circuit migration requested successfully.

Example Request
curl -X POST 'https://api.eis.it/v1/circuits/migrate' \  -H 'Content-Type: application/json' \  -d '{  "contact": {    "firstName": "string",    "lastName": "string",    "email": "string",    "mobile_number": "string",    "fixed_number": "string"  },  "idBuilding": "string",  "timeslot": 0,  "serviceId": 0,  "mcrId": 0,  "slaId": 0,  "customerId": 0,  "streetNumber": "string",  "organizationId": 0,  "userId": 0,  "dac": "string",  "mc": "string",  "carrierName": "string",  "oloCode": "string",  "technology": "string"}'
Example Response
Empty